### Constructor

# ICalGLib VcardParameter new_pid_list

since: 4.0

#### Declaration [src]

    ICalVcardParameter*
    i_cal_vcard_parameter_new_pid_list (
      const ICalVcardStrArray* value
    )

#### Description [src]

Creates a new `ICalVcardParameter` holding PID.

Note: this uses a copy of the string array, not the one stored in the `value`.

Available since: 4.0

#### Parameters

`value`

  Type: `const ICalVcardStrArray`

  The string array as a value for the new ICalVcardParameter holding PID.

  The data is owned by the caller of the function.

#### Return value

Type: `ICalVcardParameter`

A new `ICalVcardParameter` holding PID.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.